Package org.opensaml.saml.common

# Class AbstractSignableSAMLObject

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`

Direct Known Subclasses:
  `AffiliationDescriptorImpl`, `AssertionImpl`, `AssertionImpl`, `EntitiesDescriptorImpl`, `EntityDescriptorImpl`, `RequestAbstractTypeImpl`, `RequestAbstractTypeImpl`, `ResponseAbstractTypeImpl`, `RoleDescriptorImpl`, `StatusResponseTypeImpl`

public abstract class AbstractSignableSAMLObject extends AbstractSignableXMLObject implements SignableSAMLObject
Abstract SAMLObject implementation that also implements `SignableXMLObject`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSignableSAMLObject(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object obj)`
`int`
`hashCode()`
`void`
`setSignature(Signature newSignature)`
Sets the Signature XMLObject.

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Constructor Details

### AbstractSignableSAMLObject

protected AbstractSignableSAMLObject(@Nullable String namespaceURI, @Nonnull @NotEmpty String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### equals

public final boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### setSignature

public void setSignature(@Nullable Signature newSignature)
Sets the Signature XMLObject. When a signature is added, a default content reference that uses the ID of this object will be created and added to the signature at the time of signing. See `SAMLObjectContentReference` for the default digest algorithm and transforms that will be used. These default values may be changed prior to marshalling this object.

Specified by:
  `setSignature` in interface `SignableXMLObject`
Overrides:
  `setSignature` in class `AbstractSignableXMLObject`
Parameters:
  `newSignature` - the Signature XMLObject